For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Accept an invitation to share data using Catena Telematics platform after being invited by a Partner.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
invitation_idstringRequiredformat: "uuid"
Response
Successful Response
idstringformat: "uuid"
Unique invitation identifier
created_atdatetime
When the invitation was created
magic_linkstring
The magic link that is used to open Catena Connect and accept the invitation. Share this URL with the fleet to begin onboarding.
expires_atdatetime
The expiration date and time of the invitation
expires_in_hoursinteger
The number of hours the invitation is valid for.
statusenum
The current status of the invitation (active, accepted, declined, or expired)
Allowed values:
fleet_namestring or null
Pre-populate the fleet name during onboarding. The fleet can modify this during acceptance.
accepted_atdatetime or null
The date and time the invitation was accepted. Null if not accepted.
pre_registration_access_tokenstring or null
The JWT token used to pre-register the fleet. It allows the fleet to create connections after accepting the invitation even without registering a user. Value is set after the invitation is accepted.
pre_registration_refresh_tokenstring or null
The refresh token used to pre-register the fleet. It allows the fleet to create connections after accepting the invitation even without registering a user. Value is set after the invitation is accepted.
callback_urlstring or nullformat: "uri"1-2083 characters
Your webhook endpoint to receive real-time notifications for invitation acceptance, share agreement creation, and connection status updates. Must be HTTPS.
success_redirect_urlstring or nullformat: "uri"1-2083 characters
The URL to redirect the user to after onboarding successfully on Catena Connect. Available query parameters:invitation_id, fleet_ref.
failure_redirect_urlstring or nullformat: "uri"1-2083 characters
The URL to redirect the user to after failing to onboard on Catena Connect (i.e. declining an invitation, opening an expired invitation, etc). Available query parameters:invitation_id, fleet_ref.
limit_tspslist of strings or null
Restrict which telematics providers the fleet can connect to. Useful if you only need data from specific TSPs. If omitted, all available TSPs are shown.
exclude_tspslist of strings or null
Exclude specific telematics providers from the ones shown to the fleet. Useful if you want the fleet to have access to every TSP except a few.
partner_slugstring or null
The slug of your organization
partner_idstringformat: "uuid"
Your organization ID requesting access to fleet data
decline_reasonstring or null
The reason provided by the fleet for declining the invitation. Null if invitation was not declined.
declined_atdatetime or null
The date the invitation was declined by the fleet. Null if invitation was not declined.
fleet_refstring
Your internal fleet identifier. Use this to map Catena fleets back to your system. This value will be returned in webhooks and redirect URLs.
permissionsmap from strings to enums
Defines which resources (vehicle, locations, users, etc.) the fleet must grant access to and the permission level (read, write) for each.
Allowed values:
fleet_emailstring or nullformat: "email"
The contact email for the fleet.
fleet_regulatory_idstring or null
The fleet’s regulatory identifier (e.g., DOT number).
fleet_regulatory_id_typestring or null
The type of regulatory ID (e.g., ‘DOT’, ‘MC’).
fleet_phonestring or null
The phone number for the fleet.
fleet_websitestring or null
The website URL for the fleet.
fleet_country_codestring or null
The ISO 3166-1 alpha-3 country code for the fleet.
partner_provided_fleet_namestring or nullRead-onlyDeprecated
Deprecated: Use fleet_name instead.
partner_provided_fleet_emailstring or nullRead-onlyformat: "email"Deprecated
Deprecated: Use fleet_email instead.
partner_provided_fleet_regulatory_idstring or nullRead-onlyDeprecated
Deprecated: Use fleet_regulatory_id instead.
partner_provided_fleet_regulatory_id_typestring or nullRead-onlyDeprecated
Deprecated: Use fleet_regulatory_id_type instead.
partner_provided_fleet_phonestring or nullRead-onlyDeprecated
Deprecated: Use fleet_phone instead.
partner_provided_fleet_websitestring or nullRead-onlyDeprecated
Deprecated: Use fleet_website instead.
partner_provided_fleet_country_codestring or nullRead-onlyDeprecated
Deprecated: Use fleet_country_code instead.
fleet_idstring or nullOptionalformat: "uuid"
The Catena fleet ID created after accepting the invitation. Null if invitation has not been accepted.